Skip to main content
POST
/
transferencias
/
estado-cuenta
Obtener estado cuenta
curl --request POST \
  --url https://rest.yafacture.com/transferencias/estado-cuenta \
  --header 'x-api-key: <api-key>'
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://rest.yafacture.com/transferencias/estado-cuenta', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://rest.yafacture.com/transferencias/estado-cuenta"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://rest.yafacture.com/transferencias/estado-cuenta",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
HttpResponse<String> response = Unirest.post("https://rest.yafacture.com/transferencias/estado-cuenta")
.header("x-api-key", "<api-key>")
.asString();
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://rest.yafacture.com/transferencias/estado-cuenta"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
[
  {
    "list": [
      "<string>"
    ],
    "count": 1,
    "totalPages": 1,
    "from": "2025-01-01",
    "to": "2025-01-31",
    "summary": {}
  }
]
{
"message": "Forbidden resource",
"error": "Forbidden",
"statusCode": 403
}

Authorizations

x-api-key
string
header
required

X-API-Key authentication header for the development token generated in Yafacture

Query Parameters

to
string
from
string

Response

list
string[]
required

Listado de datos

count
number
required

Total de datos

Example:

1

totalPages
number
required

Total de páginas

Example:

1

from
string
required

Fecha inicio

Example:

"2025-01-01"

to
number
required

Fecha fin

Example:

"2025-01-31"

summary
object
required

Sumario de datos